Skip to content
TarekyDocs
Console

Public API: a static map of an organisation's custom style (metered)

GET
/v1/styles/{handle}/{styleId}/static/{coords}/{size}
curl --request GET \
--url 'https://api.tareky.com/v1/styles/acme/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/static/44.3661%2C33.3152%2C14%2C0%2C0/600x400%402x.webp?pin=true' \
--header 'Authorization: Bearer <token>'
coords
required
string
Example
44.3661,33.3152,14,0,0

Lng,lat,zoom[,bearing[,pitch]], or auto

size
required
string
Example
600x400@2x.webp

{width}x{height} up to 1280, optional @2x and format

handle
required
string
<= 32 characters
Example
acme

The organisation’s handle

styleId
required
string format: uuid
/^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$/

The style id

path
string
pin
string
default: true
Allowed values: true false
x-access-key-id
string

Legacy key id (until its sunset)

The rendered map, in the format the size extension chose

string format: binary

Rate limit or monthly quota exceeded; see Retry-After

object
error
required
object
code
required

Stable machine-readable code, e.g. quota_exceeded, no_route

string
message
required
string
status
required
integer
>= -9007199254740991 <= 9007199254740991
details

For invalid_request: the validation issues

docsUrl
required
string
requestId
string

Any other error, in the /v1 error envelope

object
error
required
object
code
required

Stable machine-readable code, e.g. quota_exceeded, no_route

string
message
required
string
status
required
integer
>= -9007199254740991 <= 9007199254740991
details

For invalid_request: the validation issues

docsUrl
required
string
requestId
string